Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1282272 - lorem-ipsum-generator Python 3 port
Summary: lorem-ipsum-generator Python 3 port
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: lorem-ipsum-generator
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jean-Francois Saucier
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2015-11-15 23:41 UTC by riamse
Modified: 2021-02-28 12:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 12:25:05 UTC
Type: Bug


Attachments (Terms of Use)

Description riamse 2015-11-15 23:41:27 UTC
Description of problem:
The Python 3 porting must continue

Version-Release number of selected component (if applicable):


How reproducible:
Very

Steps to Reproduce:
1. Download package
2. notice that it's not using Python 3
3. notice that https://github.com/Riamse/lorem-ipsum-generator is using Python 3

Actual results:
It's not using Python 3

Expected results:
It's using Python 3

Additional info:

This should be trivial; we just have to point the source of the fedora package to use https://github.com/Riamse/lorem-ipsum-generator instead of whatere the Python 2 one is. Also, the old one seems to be dead, so since I'm not dead, using this repo is still a good thing.

Comment 1 Jan Kurik 2016-02-24 13:58:48 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 2 Petr Viktorin 2016-04-19 14:45:33 UTC
Jean-Francois, do you agree with using the Github version?
Do you need any help switching to it, or with adding Python 3 support to the RPM?

Comment 3 Jean-Francois Saucier 2016-05-09 12:05:26 UTC
Hi,

I will try to update the package from the Github version this week or next one.

Thanks for bringing this to my attention, this bug report must have slipped in my inbox.

Comment 4 Fedora Update System 2016-08-16 19:40:25 UTC
lorem-ipsum-generator-0.3.20160816git-14.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d80a48ac28

Comment 5 Fedora Update System 2016-08-16 19:49:08 UTC
lorem-ipsum-generator-0.3.20160816git-14.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-af1ec946eb

Comment 6 Fedora Update System 2016-08-16 19:58:42 UTC
lorem-ipsum-generator-0.3.20160816git-14.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-224213bf3a

Comment 7 Fedora Update System 2016-08-17 19:54:05 UTC
lorem-ipsum-generator-0.3.20160816git-14.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d80a48ac28

Comment 8 Fedora Update System 2016-08-18 01:51:34 UTC
lorem-ipsum-generator-0.3.20160816git-14.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-224213bf3a

Comment 9 Fedora Update System 2016-08-18 01:52:23 UTC
lorem-ipsum-generator-0.3.20160816git-14.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-af1ec946eb

Comment 10 Fedora End Of Life 2017-07-25 19:30:20 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 11 Fedora End Of Life 2017-08-08 12:25:05 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.